# Class ChatMessage

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a chat message, typically used to encapsulate the content and metadata exchanged in a chat conversation.

    public class ChatMessage

Inheritance
  object
  ChatMessage

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### LocationFrom

    public PatientLocation? LocationFrom { get; set; }

#### Property Value

PatientLocation

### LocationTo

    public PatientLocation? LocationTo { get; set; }

#### Property Value

PatientLocation

### Message

    public string? Message { get; set; }

#### Property Value

string

### MessageTime

    public DateTime? MessageTime { get; set; }

#### Property Value

DateTime?